Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1285015

1. Proposed title of this feature request

[RFE] Satellite 6 caching for compute resources

3. What is the nature and description of the request?

When deploying VMs on VMware or creating/adjusting compute profiles, customer has to wait 30-60 seconds for resources from our

VMware compute resource to load, before then it's not possible to do any selections.

Customer would expect Satellite 6 to be able to cache information and display it immediately.

4. Why does the customer need this? (List the business requirements here)

To speed up creation of new hosts.

5. How would the customer like to achieve this? (List the functional requirements here)

By implementing cache of compute resources

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully

implemented.

Compute resources are selected immediately without waiting while it's pooled from remote hyperviser controller

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No as I can find

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

No.

9. Is the sales team involved in this request and do they have any additional input?

No

10. List any affected packages or components.

Compute resources

11. Would the customer be able to assist in testing this functionality if implemented?

Yes

Related issues:

Related to Foreman - Feature #18256: Cache expensive vmware compute resource ... Duplicate 01/26/2017

Related to Foreman - Feature #18315: Refresh compute resource cache from host... New 01/31/2017

Related to Foreman - Feature #18314: Add a rake task to pre-warm the compute ... New 01/31/2017

Has duplicate Foreman - Bug #18824: Performace issues on creating on host on ... Duplicate 03/07/2017

Associated revisions

Revision 9caab04b - 01/31/2017 04:04 AM - Timo Goebel

fixes #13618 - cache expensive vmware api calls
https://bugzilla.redhat.com/show_bug.cgi?id=1285015


History

#1 - 02/09/2016 09:27 AM - Dominic Cleal

- Subject changed from Satellite 6 caching for compute resources to Cache vSphere compute resource lookups

- Category set to Compute resources - VMware

#2 - 02/09/2016 11:09 AM - Eric Helms

- Description updated

#3 - 01/26/2017 09:04 AM - Dominic Cleal

- Related to Feature #18256: Cache expensive vmware compute resource calls added

#4 - 01/26/2017 10:11 AM - Timo Goebel

- Status changed from New to Assigned

- Assignee set to Timo Goebel

#5 - 01/27/2017 09:20 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4238 added

#6 - 01/31/2017 04:26 AM - Timo Goebel

- Related to Feature #18315: Refresh compute resource cache from host form added

#7 - 01/31/2017 04:27 AM - Timo Goebel

- Related to Feature #18314: Add a rake task to pre-warm the compute resource cache added

#8 - 01/31/2017 05:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9caab04baaa0949910e5dd3e2b284b292a195970.

#9 - 02/01/2017 04:05 AM - Dominic Cleal

- translation missing: en.field_release set to 209

#10 - 03/08/2017 03:12 AM - Dominic Cleal

- Has duplicate Bug #18824: Performace issues on creating on host on a vmware compute resource with many many networks added
